Subject: Re: [PATCH 5/7] d80211: indicate if unassociate/radio off status

From: Mohamed Abbas <[email-masked]>
Date: Tue, 29 Aug 2006 15:28:46 -0700

Jouni Malinen wrote:

>On Mon, Aug 28, 2006 at 02:17:34PM -0700, Michael Wu wrote:
>
>  
>
>>It would be helpful if you inlined your patches instead of attaching them next 
>>time.
>>    
>>
>
>Agreed.
>
>  
>
>>I'm not comfortable with using the name for this purpose.
>>    
>>
>
>And agreed. wireless.h has this to say about SIOCGIWNAME:
>
>#define SIOCGIWNAME     0x8B01          /* get name == wireless protocol */
>/* SIOCGIWNAME is used to verify the presence of Wireless Extensions.
> * Common values : "IEEE 802.11-DS", "IEEE 802.11-FH", "IEEE 802.11b"...
> * Don't put the name of your driver there, it's useless. */
>
>
>The proposed use here is against this and should not be applied.
>SIOCGIWAP can be used to indicate association status and SIOCGIWTXPOW
>can be used to indicate whether TX is powered which is quite close to
>radio off indication.
>
>  
>
to associated to a network i do the following
#iwconfig wlan0 essid {some name} channel X ap {bssid of the AP}
after I issues this command  SIOCGIWAP will always report the bssid no 
matter what the status of our link.